Bug 190304 - Web Inspector: be more specific as to what types of WI.Collection are allowed for the Resources tab
Summary: Web Inspector: be more specific as to what types of WI.Collection are allowed...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-10-04 23:02 PDT by Devin Rousso
Modified: 2019-04-14 04:35 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.14 KB, patch)
2018-10-04 23:02 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2018-10-04 23:02:21 PDT
Instead of checking for all `WI.Collecion` that are not `WI.CanvasCollection`, we should be more specific as to which types of collections we allow.
Comment 1 Devin Rousso 2018-10-04 23:02:54 PDT
Created attachment 351656 [details]
Patch
Comment 2 BJ Burg 2018-10-08 09:29:13 PDT
Comment on attachment 351656 [details]
Patch

rs=me
Comment 3 WebKit Commit Bot 2018-10-08 10:17:31 PDT
Comment on attachment 351656 [details]
Patch

Clearing flags on attachment: 351656

Committed r236920: <https://trac.webkit.org/changeset/236920>
Comment 4 WebKit Commit Bot 2018-10-08 10:17:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2018-10-08 10:18:34 PDT
<rdar://problem/45091950>